# NVFragmentProgram (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class NVFragmentProgram

    java.lang.Object
      org.lwjgl.opengl.NVProgram
          org.lwjgl.opengl.NVFragmentProgram

    public final class NVFragmentProgram

extends NVProgram

Field Summary
`static int` `GL_FRAGMENT_PROGRAM_BINDING_NV` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

`static int`

`GL_FRAGMENT_PROGRAM_NV`
Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev, and by the <target> parameter of BindProgramNV, LoadProgramNV, ProgramLocalParameter4dARB, ProgramLocalParameter4dvARB, ProgramLocalParameter4fARB, ProgramLocalParameter4fvARB, GetProgramLocalParameterdvARB, and GetProgramLocalParameterfvARB:

`static int` `GL_MAX_FRAGMENT_PROGRAM_LOCAL_PARAMETERS_NV` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_MAX_TEXTURE_COORDS_NV` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_MAX_TEXTURE_IMAGE_UNITS_NV` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

Fields inherited from class org.lwjgl.opengl.NVProgram
`GL_PROGRAM_ERROR_POSITION_NV, GL_PROGRAM_ERROR_STRING_NV, GL_PROGRAM_LENGTH_NV, GL_PROGRAM_RESIDENT_NV, GL_PROGRAM_STRING_NV, GL_PROGRAM_TARGET_NV`

Method Summary
`static void` `glGetProgramNamedParameterNV(int id, java.nio.ByteBuffer name, java.nio.DoubleBuffer params)`
`static void` `glGetProgramNamedParameterNV(int id, java.nio.ByteBuffer name, java.nio.FloatBuffer params)`
`static void` `glProgramNamedParameter4dNV(int id, java.nio.ByteBuffer name, double x, double y, double z, double w)`
`static void` `glProgramNamedParameter4fNV(int id, java.nio.ByteBuffer name, float x, float y, float z, float w)`

Methods inherited from class org.lwjgl.opengl.NVProgram
`glAreProgramsResidentNV, glBindProgramNV, glDeleteProgramsNV, glDeleteProgramsNV, glGenProgramsNV, glGenProgramsNV, glGetProgramiNV, glGetProgramNV, glGetProgramNV, glGetProgramStringNV, glGetProgramStringNV, glIsProgramNV, glLoadProgramNV, glLoadProgramNV, glRequestResidentProgramsNV, glRequestResidentProgramsNV`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_FRAGMENT_PROGRAM_NV

    public static final int GL_FRAGMENT_PROGRAM_NV

  Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev, and by the <target> parameter of BindProgramNV, LoadProgramNV, ProgramLocalParameter4dARB, ProgramLocalParameter4dvARB, ProgramLocalParameter4fARB, ProgramLocalParameter4fvARB, GetProgramLocalParameterdvARB, and GetProgramLocalParameterfvARB:

  See Also:
    Constant Field Values

### GL_MAX_TEXTURE_COORDS_NV

    public static final int GL_MAX_TEXTURE_COORDS_NV

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_MAX_TEXTURE_IMAGE_UNITS_NV

    public static final int GL_MAX_TEXTURE_IMAGE_UNITS_NV

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_FRAGMENT_PROGRAM_BINDING_NV

    public static final int GL_FRAGMENT_PROGRAM_BINDING_NV

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_MAX_FRAGMENT_PROGRAM_LOCAL_PARAMETERS_NV

    public static final int GL_MAX_FRAGMENT_PROGRAM_LOCAL_PARAMETERS_NV

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

Method Detail

### glProgramNamedParameter4fNV

    public static void glProgramNamedParameter4fNV(int id,
                                                   java.nio.ByteBuffer name,
                                                   float x,
                                                   float y,
                                                   float z,
                                                   float w)

### glProgramNamedParameter4dNV

    public static void glProgramNamedParameter4dNV(int id,
                                                   java.nio.ByteBuffer name,
                                                   double x,
                                                   double y,
                                                   double z,
                                                   double w)

### glGetProgramNamedParameterNV

    public static void glGetProgramNamedParameterNV(int id,
                                                    java.nio.ByteBuffer name,
                                                    java.nio.FloatBuffer params)

### glGetProgramNamedParameterNV

    public static void glGetProgramNamedParameterNV(int id,
                                                    java.nio.ByteBuffer name,
                                                    java.nio.DoubleBuffer params)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.